# Agent

## 1.9.2 - 2022-02-02

* Adds pushgateway error handling when it is not available.

Docker Image: `docker.replex.io/replex/k8sagent-go:1.9.2`

## 1.9.1 - 2021-11-25

* Fix missing DCGM-Exporter metrics.

Docker Image: `docker.replex.io/replex/k8sagent-go:1.9.1`

## 1.9.0 - 2021-11-11

* Adds env `PROMETHEUS_GPU_METRICS_SOURCE` to specify the prometheus GPU metrics source. Options `cadvisor` for cAdvisor accelerator metrics or `dcgm` to use nvidia DCGM-exporter metrics. Default cadvisor
* Adds env `PROMETHEUS_HONOR_LABELS` set the prometheus honor\_labels scrape setting. Default false.

Docker Image: `docker.replex.io/replex/k8sagent-go:1.9.0`

## 1.8.0 - 2021-07-22

* Handles all offline provider sync errors and retries syncing and pushing metrics once available
* Improves thanos UX for better error handling
* Removes env `PROMETHEUS_TSDB_BLOCK_DURATION` and defers to the thanos receive component alone for querier and store support

Docker Image: `docker.replex.io/replex/k8sagent-go:1.8.0`

## 1.7.20 - 2021-07-13

* Adds env `PROMETHEUS_TSDB_BLOCK_DURATION` for Thanos querier support

Docker Image: `docker.replex.io/replex/k8sagent-go:1.7.20`

## 1.7.19 - 2021-06-16

* Bug fixes and improvements

Docker Image: `docker.replex.io/replex/k8sagent-go:1.7.19`

## 1.7.18 - 2021-06-01

* Bug fixes and improvements

Docker Image: `docker.replex.io/replex/k8sagent-go:1.7.18`

## 1.7.17 - 2021-05-31

* Adds a new optional environment variable: `PROMETHEUS_BEARER_TOKEN` to set bearer token for prometheus server requests.

Docker Image: `docker.replex.io/replex/k8sagent-go:1.7.17`

## 1.7.16 - 2021-05-18

* Fix bug in Alicloud detection

Docker Image: `docker.replex.io/replex/k8sagent-go:1.7.16`

## 1.7.15 - 2021-05-18

* Bug fixes and improvements

Docker Image: `docker.replex.io/replex/k8sagent-go:1.7.15`

## 1.7.14 - 2021-05-10

* Add Thanos support.

Docker Image: `docker.replex.io/replex/k8sagent-go:1.7.14`

## 1.7.13 - 2021-02-15

* Add Alibaba cloud support.

Docker Image: `docker.replex.io/replex/k8sagent-go:1.7.13`

## 1.7.12 - 2021-01-14

* Adds node CPU usage support for Stackdriver metric providers.

Docker Image: `docker.replex.io/replex/k8sagent-go:1.7.12`

## 1.7.11 - 2020-12-07

* Sets the default Prometheus node label to `node` (previously `instance`).

Docker Image: `docker.replex.io/replex/k8sagent-go:1.7.11`

## 1.7.10 - 2020-11-10

* Bug fix in node CPU usage calculation.

Docker Image: `docker.replex.io/replex/k8sagent-go:1.7.10`

## 1.7.9 - 2020-11-09

* We now use actual node CPU usage instead of the sum of the container CPU usage. This helps to account for CPU usage by non-container workload.
* Adds support for failed metrics synchronization on disk.
  * By setting the environment variable `METRICS_CACHE_DISK` to either `true/false`, you can specify whether the metrics are cached on disk or in memory. By default, `true`.
  * If metrics are cached on disk, you can specify the path on disk by setting the environment variable `METRICS_CACHE_DISK_DIR`. By default, `/data/metrics`.

Docker Image: `docker.replex.io/replex/k8sagent-go:1.7.9`

## 1.7.8 - 2020-10-19

* Adds a new optional environment variable: `METRICS_RETRY_INTERVAL_SECONDS` to set interval between retry to push metrics.
* Adds metric caching if push to the pushgateway fails and auto-retries the push once per value from `METRICS_RETRY_INTERVAL_SECONDS` or 300 seconds by default.
* Adds two new metrics `replex_agent_retry_cache_size` and `replex_agent_failed_metrics_total`. First one stands for the amount of metrics that are waiting to be re-sent, second one represents the total count of once failed metric push.

Docker Image: `docker.replex.io/replex/k8sagent-go:1.7.8`

## 1.7.7 - 2020-10-14

* Adds a new optional environment variable: `METRICS_FILESYSTEM` to specify the filesystem metric source. Options: `cadvisor`, `csi`.

Docker Image: `docker.replex.io/replex/k8sagent-go:1.7.7`

## 1.7.6 - 2020-10-06

* Adds a new optional environment variable: `USE_CONTROL_PLANE_COST` to track costs of the Kubernetes Control Plane. Set to `true/false` to enable/disable the feature.
* Adds node local disk support for Datadog metric provider.
* Adds Daemon- and StatefulSet support for Instana.
* Adds the collection of node provider id metric.

Docker Image: `docker.replex.io/replex/k8sagent-go:1.7.6`

## 1.7.5 - 2020-09-25

* Adds a new optional environment variable: `CLOUD_PROVIDER_OVERRIDE` to manually overwrite the cloud provider. Set to `aws, azure, gce, custom` choose the provider.

Docker Image: `docker.replex.io/replex/k8sagent-go:1.7.5`

## 1.7.4 - 2020-09-18

* Disabled logs for pods created within the last 5 minutes and for already succeeded pods.

Docker Image: `docker.replex.io/replex/k8sagent-go:1.7.4`

## 1.7.3 - 2020-09-16

* Adds a new optional environment variable: `PROMETHEUS_NODE_LABEL` to specify the label that represents the node in the Prometheus metrics.

Docker Image: `docker.replex.io/replex/k8sagent-go:1.7.3`

## 1.7.2 - 2020-09-16

* Skip pod metrics if node is not ready yet.

Docker Image: `docker.replex.io/replex/k8sagent-go:1.7.2`

## 1.7.1 - 2020-09-15

* Adds a new optional environment variable: `ONLY_USE_READY_NODES` to track only nodes that are in "Ready" state. Set to `true/false` to enable/disable the feature.

Docker Image: `docker.replex.io/replex/k8sagent-go:1.7.1`

## 1.7.0 - 2020-09-07

* Adds node local disk support for Prometheus metric provider.

Docker Image: `docker.replex.io/replex/k8sagent-go:1.7.0`

## 1.6.1 - 2020-08-19

* Renaming the label that represents the node in the Prometheus metrics from `node` to `instance`.

Docker Image: `docker.replex.io/replex/k8sagent-go:1.6.1`

## 1.6.0 - 2020-07-28

* Adds Instana topology provider support.
* Adds a new optional environment variable: `KUBERNETES_INFO_PROVIDER` to set the topology provider. Set to `kubernetes, instana` to choose between Kubernetes and Instana.
* Adds a new optional environment variable: `INSTANA_CLUSTER_ID` to set the Instana cluster id.

Docker Image: `docker.replex.io/replex/k8sagent-go:1.6.0`

## 1.5.0 - 2020-06-26

* Adds the collection of cluster and Prometheus version.

Docker Image: `docker.replex.io/replex/k8sagent-go:1.5.0`

## 1.4.2 - 2020-06-02

* Datadog: using `kubernetes.memory.working_set` for container memory metrics
* Instana: using `memory.usage` of docker plugin for container memory metrics.

Docker Image: `docker.replex.io/replex/k8sagent-go:1.4.2`

## 1.4.1 - 2020-05-27

* Renaming environment variable from `INSTANA_URL` to `INSTANA_BASE_URL`

Docker Image: `docker.replex.io/replex/k8sagent-go:1.4.1`

## 1.4.0 - 2020-05-25

* Adds support for Instana metrics provider.
* Skipping unmounted PVCs.

Docker Image: `docker.replex.io/replex/k8sagent-go:1.4.0`

## 1.3.0 - 2020-02-29

* Adds support for Stackdriver \\(Google Operations\\) metrics provider.

Docker Image: `docker.replex.io/replex/k8sagent-go:1.3.0`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.replex.io/changelog/agent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
